Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 12-06-2017 02:03:43

TyZef
Membre
Lieu : 0°31'48.9"N 72°59'44.7"E
Distrib. : Debian8.2 (jessie)
Noyau : Noyaux Linux 3.16.0-4-amd64
(G)UI : MATE 1.8.1
Inscription : 09-05-2013

{RESOLU} mupen64plus & dépendances non satisfaites

Salut la compagnie !

En installant https://debian-facile.org/doc:jeux:mupen64plus... voici ce qui m'arrive :

root@tyzef:/home/tyzef/Téléchargements# dpkg -i m64py_0.2.4-0_all.deb
(Lecture de la base de données... 261437 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de m64py_0.2.4-0_all.deb ...
Dépaquetage de m64py (0.2.4-0) sur (0.2.4-0) ...
dpkg: des problèmes de dépendances empêchent la configuration de m64py :
 m64py dépend de libsdl2-dev ; cependant :
  Le paquet libsdl2-dev n'est pas installé.
 m64py dépend de python3-opengl ; cependant :
  Le paquet python3-opengl n'est pas installé.
 m64py dépend de python3-pyqt5.qtopengl ; cependant :
  Le paquet python3-pyqt5.qtopengl n'est pas installé.
 m64py dépend de python3-sdl2 ; cependant :
  Le paquet python3-sdl2 n'est pas installé.

dpkg: erreur de traitement du paquet m64py (--install) :
 problèmes de dépendances - laissé non configuré
Traitement des actions différées (« triggers ») pour man-db (2.7.0.2-5) ...
Traitement des actions différées (« triggers ») pour desktop-file-utils (0.22-1) ...
Traitement des actions différées (« triggers ») pour mime-support (3.58) ...
Des erreurs ont été rencontrées pendant l'exécution :
 m64py
root@tyzef:/home/tyzef/Téléchargements#



Est-ce grave docteur ?

Aussi dans Synaptic, m64py est cité comme paquet cassé.....

Dernière modification par TyZef (12-06-2017 20:35:56)

Hors ligne

#2 12-06-2017 07:01:48

golgot200
Membre
Distrib. : Arch Linux
Noyau : Linux 4.11.3-1-ARCH
(G)UI : Mate
Inscription : 05-08-2007

Re : {RESOLU} mupen64plus & dépendances non satisfaites

Bonjour,

tout est écrit. wink


apt-get install libsdl2-dev python3-opengl python3-pyqt5.qtopengl python3-pyqt5.qtopengl python3-sdl2
 

Hors ligne

#3 12-06-2017 07:03:17

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian Jessie (saveur Handylinux 2.5) à jour
Noyau : Linux 3.16.0-4-amd64
(G)UI : XFCE - xfwm4
Inscription : 11-03-2016

Re : {RESOLU} mupen64plus & dépendances non satisfaites

Bonjour smile
dpkg -i ne gère pas les dépendances : il ne télécharge pas les paquets nécessaires même s'ils sont bien présents dans les dépôts.
Tu peux réparer avec Synaptic et le menu réparer les paquets cassés (menu Paquet ou Édition, je ne sais plus) ou la commande

apt-get -f install


J'utilise pour ma part gdebi qui gère les dépendances. https://packages.debian.org/jessie/gdebi
Après l'avoir installé, on fait un clic droit sur le .deb pour l'installer.

Edit : devancée par golgot200 et pourtant suis dopée au café wink


Bien débuter sur Debian :
->Les cahiers du débutant + le wiki Découvrir les principales commandes Linux
-> Le projet DFlinux (DebianFacileLinux) pour débutants: ISOs (i386 et amd64) basées sur Debian stable avec des outils facilitants
-> Retours et avis sur DFLinux dans ce fil

Hors ligne

#4 12-06-2017 07:06:39

golgot200
Membre
Distrib. : Arch Linux
Noyau : Linux 4.11.3-1-ARCH
(G)UI : Mate
Inscription : 05-08-2007

Re : {RESOLU} mupen64plus & dépendances non satisfaites

chalu a écrit :


Edit : devancée par golgot200 et pourtant suis dopée au café wink



smile

A mon post 12 :

https://debian-facile.org/viewtopic.php?id=5708

Hors ligne

#5 12-06-2017 18:31:26

TyZef
Membre
Lieu : 0°31'48.9"N 72°59'44.7"E
Distrib. : Debian8.2 (jessie)
Noyau : Noyaux Linux 3.16.0-4-amd64
(G)UI : MATE 1.8.1
Inscription : 09-05-2013

Re : {RESOLU} mupen64plus & dépendances non satisfaites

Salut !

Merci pour vos réponses !

Ici le résultat si je n'ai pas fait de bourde:


root@tyzef:/home/tyzef# apt-get install libsdl2-dev python3-opengl python3-pyqt5.qtopengl python3-pyqt5.qtopengl python3-sdl2
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
Package python3-sdl2 is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

E: Package 'python3-sdl2' has no installation candidate
root@tyzef:/home/tyzef#
 



chalu a écrit :


Tu peux réparer avec Synaptic et le menu réparer les paquets cassés (menu Paquet ou Édition, je ne sais plus) ou la commande

apt-get -f install



J'ai opéré cette commande il me semble avec succès mais le rapport est trop long pour le coller ici...

Sinon,

chalu a écrit :


J'utilise pour ma part gdebi qui gère les dépendances. https://packages.debian.org/jessie/gdebi
Après l'avoir installé, on fait un clic droit sur le .deb pour l'installer.



Je viens de tester cette proposition très intéressante qui donne :

1497285905.png

1497285959.png

1497285989.png

1497286032.png

Voila la compagnie !

Dernière modification par TyZef (12-06-2017 18:53:51)

Hors ligne

#6 12-06-2017 18:47:57

TyZef
Membre
Lieu : 0°31'48.9"N 72°59'44.7"E
Distrib. : Debian8.2 (jessie)
Noyau : Noyaux Linux 3.16.0-4-amd64
(G)UI : MATE 1.8.1
Inscription : 09-05-2013

Re : {RESOLU} mupen64plus & dépendances non satisfaites

...

Dernière modification par TyZef (12-06-2017 18:52:21)

Hors ligne

#7 12-06-2017 19:00:07

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian Jessie (saveur Handylinux 2.5) à jour
Noyau : Linux 3.16.0-4-amd64
(G)UI : XFCE - xfwm4
Inscription : 11-03-2016

Re : {RESOLU} mupen64plus & dépendances non satisfaites

Il te manque ce paquet : https://packages.debian.org/sid/python3-sdl2
Il est seulement dans sid
Soit tu le télécharges et tu l'installes ou tu ajoutes le sources.list de sid pour recompiler le paquet ou bien utiliser du pining pour avoir ce paquet seulement sur sid
https://debian-facile.org/doc:systeme:apt:pinning
Et tu risques de mettre à mal la stabilité du système ou bien tu ne prends pas ce risque.

Bien débuter sur Debian :
->Les cahiers du débutant + le wiki Découvrir les principales commandes Linux
-> Le projet DFlinux (DebianFacileLinux) pour débutants: ISOs (i386 et amd64) basées sur Debian stable avec des outils facilitants
-> Retours et avis sur DFLinux dans ce fil

Hors ligne

#8 12-06-2017 20:11:17

TyZef
Membre
Lieu : 0°31'48.9"N 72°59'44.7"E
Distrib. : Debian8.2 (jessie)
Noyau : Noyaux Linux 3.16.0-4-amd64
(G)UI : MATE 1.8.1
Inscription : 09-05-2013

Re : {RESOLU} mupen64plus & dépendances non satisfaites

chalu a écrit :

Il te manque ce paquet : https://packages.debian.org/sid/python3-sdl2
Il est seulement dans sid
Soit tu le télécharges et tu l'installes


BINGO !!!

Merci beaucoup,

Je test l’émulateur avant de retitrer avec RESOLU

Super, Merci beaucoup a tous !!!

Dernière modification par TyZef (12-06-2017 20:36:48)

Hors ligne

#9 12-06-2017 21:34:16

golgot200
Membre
Distrib. : Arch Linux
Noyau : Linux 4.11.3-1-ARCH
(G)UI : Mate
Inscription : 05-08-2007

Re : {RESOLU} mupen64plus & dépendances non satisfaites

Je pense que tu aurais dû utiliser la version 0.2.3 qui n'a pas python3-sdl2 en dépendance wink

Dernière modification par golgot200 (12-06-2017 21:34:31)

Hors ligne

Pied de page des forums